
Foreman - Feature #1050

Foreman settings should not be viewed/edited by non admin users

07/17/2011 08:32 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Users, Roles and Permissions   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Refactor #18440: Delete unused access_setting permission Closed 02/09/2017

Associated revisions

Revision 1462d569 - 07/17/2011 08:49 AM - Ohad Levy

fixes #1050 - Foreman settings should not be viewed/edited by non admin user

Revision 9d4999fe - 07/17/2011 09:10 AM - Ohad Levy

refs #1050 removing model level authorization from settings table

this seems more trouble than its worth, as settings needs to be

checked/updated every time foreman is starting.

this leads to potenitail issue when login is enabled, or the admin user is missing etc

which can simply break foreman with very little benefit to security.

History

#1 - 07/17/2011 09:15 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 1462d5699e96a2ef18ec2883261d31ace919ddc1.

#2 - 02/09/2017 05:32 AM - Marek Hulán

- Related to Refactor #18440: Delete unused access_setting permission added
